Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2007-6382

Overview

Vulnerability Score 6.8 6.8
CVE Id CVE-2007-6382
Last Modified 15 Nov 2008 02:04:26
Published 14 Dec 2007 09:46:00
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact PARTIAL PARTIAL
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity MEDIUM
Authentication NONE

CVE-2007-6382

Summary

The Event Dispatch Thread in Robocode before 1.5.1 allows remote attackers to execute arbitrary Java code by using a robot to invoke the SwingUtilities.invokeLater method.

Vulnerable Systems

Application

  • Robocode 1.4.9


References

SECUNIA - 28080

CONFIRM - http://sourceforge.net/project/shownotes.php?release_id=561214

OSVDB - 40473

XF - robocode-swingutilities-code-execution(39019)

BID - 26854


Last Updated: 27 May 2016 10:46:28